// Завдання
// Реалізувати функцію підрахунку факторіалу числа. Завдання має бути виконане на чистому Javascript без використання бібліотек типу jQuery або React.

// Технічні вимоги:
// Отримати за допомогою модального вікна браузера число, яке введе користувач.
// За допомогою функції порахувати факторіал числа, яке ввів користувач і вивести його на екран.
// Використовувати синтаксис ES6 для роботи зі змінними та функціями.
// Необов'язкове завдання підвищеної складності
// Після введення даних додати перевірку їхньої коректності. Якщо користувач не ввів число, або при введенні вказав не число, - запитати число заново (при цьому значенням для нього повинна бути введена раніше інформація).

// ************

let userNamber = Number(prompt("Enter number"));

while (Number.isNaN(userNamber) || userNamber <= 0) {
    userNamber = Number(prompt("Enter number"))
}

function factorial(n) {
    return n != 1 ? n * factorial(n - 1) : 1;
}

console.log(factorial(userNamber));
